using System.Collections.ObjectModel;
using MECF.Framework.UI.Client.RecipeEditorLib.DGExtension.CustomColumn;

namespace MECF.Framework.UI.Client.RecipeEditorLib.RecipeModel.Params
{
    public class MultipleSelectParam : Param
    {
        public MultipleSelectParam(MultipleSelectColumn col)
        {
            this.Options = new ObservableCollection<MultipleSelectColumn.Option>();
            col.CloneOptions(this).ForEach(opt => this.Options.Add(opt));
            IsSaved = true;
        }

        public ObservableCollection<MultipleSelectColumn.Option> Options { get; set; }
    }
}
